import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    editCmd: '', //编辑器编辑命令
    legendObj: null, //获取的相关图例数据obj
    graphId: '',    //图 id 用于读图
    id: '',        // id  用于读图
    projectId: 'Pj1101050029',  // projectId
    categoryId: '',   //类型id 用于读图
    equipmentList: []  //设备数组
  },
  mutations: {
    // 修改编辑器命令
    SETCHOICELEHEND(state, data) {
      state.editCmd = data;
    },
    // 修改编辑器图例
    SETLEGENDOBJ(state, data) {
      state.legendObj = data;
    },
    // 设置项目id
    SETPROJECT(state, data) {
      state.graphId = data.graphId;   //图 id 用于读图
      state.id = data.id;       // id  用于读图
      // projectId: ''  // projectId
    },
    // 设置类型id
    SETCATEGROY(state, val) {
      state.categoryId = val
    },
    // 设置设备 list
    SETEQUIPLIST(state, val) {
      state.equipmentList.concat(val);
    }
  },
  actions: {
  },
  modules: {
  }
})
